Reply
Highlighted
Member
Posts: 1
Registered: ‎02-22-2012

Direct Post Method and PHP 4.4

I'm following the DPM dev guide and it's saying I need to use the PHP SDK. Unfortunately the SDK requires PHP 5.2+.

 

How can I use DPM with PHP 4? Is documentation available for this?

Highlighted
Expert
Posts: 4,525
Registered: ‎03-08-2010

Re: Direct Post Method and PHP 4.4

[ Edited ]
Highlighted
Posts: 1,609
Topics: 15
Kudos: 201
Solutions: 121
Registered: ‎06-23-2011

Re: Direct Post Method and PHP 4.4

That documentation will not give you PHP 4.x code, of course. And adapting the SDK may be difficult unless you're quite familiar with class definitions for 4.x and 5.x. It's probably going to be easier to install 5.x, or set up your payment area to a subdomain on 5.x (payments.mydomain.com), than to use this on 4.x..